import { MapToolDefaults } from "geovisto";
import IMapSelection from "../../types/selection/IMapSelection";
import ISelectionToolConfig from "../../types/tool/ISelectionToolConfig";
import ISelectionToolDefaults from "../../types/tool/ISelectionToolDefaults";
/**
 * This class provide functions which return the default state values.
 *
 * @author Jiri Hynek
 */
declare class SelectionToolDefaults extends MapToolDefaults implements ISelectionToolDefaults {
    /**
     * It returns the default config.
     */
    getConfig(): ISelectionToolConfig;
    /**
     * Only one selection tool should be present in the Geovisto map.
     */
    isSingleton(): boolean;
    /**
     * Static tool type constant.
     */
    static TYPE: string;
    /**
     * It returns a unique string of the tool type.
     */
    getType(): string;
    /**
     * It returns the label of the tool.
     */
    getLabel(): string;
    /**
     * It returns the icon of the tool.
     */
    getIcon(): string;
    /**
     * It returns default map selection.
     */
    getSelection(): IMapSelection | null;
}
export default SelectionToolDefaults;
